Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518981 - kojid dies with ImportError: No module named koji
Summary: kojid dies with ImportError: No module named koji
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: koji
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike McLean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 22:16 UTC by John Florian
Modified: 2018-11-30 18:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:31:25 UTC


Attachments (Terms of Use)

Description John Florian 2017-11-29 22:16:02 UTC
Description of problem:
On a fresh install of Fedora 27, I found that kojid.service failed to start.


Version-Release number of selected component (if applicable):
$ rpm -qa | grep koji
python3-koji-1.14.0-1.fc27.noarch
koji-1.14.0-1.fc27.noarch
koji-builder-1.14.0-1.fc27.noarch


How reproducible:
always


Steps to Reproduce:
1. dnf install koji-builder
2. configure
3. systemctl start kojid


Actual results:
The journal shows:

systemd[1]: Started Koji build server.
kojid[3785]: Traceback (most recent call last):
kojid[3785]:   File "/usr/sbin/kojid", line 28, in <module>
kojid[3785]:     import koji
kojid[3785]: ImportError: No module named koji
systemd[1]: kojid.service: Main process exited, code=exited, status=1/FAILURE
systemd[1]: kojid.service: Unit entered failed state.
systemd[1]: kojid.service: Failed with result 'exit-code'.


Expected results:
I'd expect that rpm deps should have dealt with this.  Actually, the deps did in bring in python3-koji but how does one enable the Python3 support that's recently been added in 1.14?  Is there a new config option or is the service startup broken here?


Additional info:
For an immediate work around, I simply installed python2-koji.

Comment 1 Mike McLean 2017-11-29 22:37:22 UTC
python3 support only covers the cli and core lib. The rest of koji does not support py3 yet

Comment 2 Mike McLean 2017-11-29 22:38:58 UTC
Upstream we have an explicit py2 requires for koji-builder. I guess Fedora's spec differs

Comment 3 Ben Cotton 2018-11-27 17:59:29 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 18:31:25 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.